CREATE TABLE her_action_reason_curriculum (
    ACTION_REASON_CURRICULUM_ID    NUMBER(18, 0),
    ACTION_REASON_ID               NUMBER(18, 0)    NOT NULL,
    CURRICULUM_TYPE_ID             NUMBER(18, 0)    NOT NULL,
    ACTION_TYPE                    VARCHAR2(120),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    ACTION_REASON_CURRICULUM_ID    NUMBER(18, 0),
    ACTION_REASON_ID               NUMBER(18, 0)    NOT NULL,
    CURRICULUM_TYPE_ID             NUMBER(18, 0)    NOT NULL,
    ACTION_TYPE                    VARCHAR2(120),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_her_action_reason_curriculum PRIMARY KEY (ACTION_REASON_CURRICULUM_ID, ACTION_REASON_CURRICULUM_ID)
);
